<?php
namespace Incoviba\old\Proyecto;

use Incoviba\Common\Alias\OldModel as Model;

/**
 * @property int $id
 * @property ProyectoTipoUnidad $tipo
 * @property Tipologia $tipologia
 * @property int $cantidad
 * @property TipoElemento $elemento
 */
class TipoTipologia extends Model
{
  public function tipo()
  {
    return $this->belongsTo(ProyectoTipoUnidad::class, 'tipo')->findOne();
  }
  public function tipologia()
  {
    return $this->belongsTo(Tipologia::class, 'tipologia')->findOne();
  }
  public function elemento()
  {
    return $this->belongsTo(TipoElemento::class, 'elemento')->findOne();
  }
}
